%define upstream_name    Github-Backup
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Back up your repositories, issues, gists and more
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Github/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Git::Repository)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moo)
BuildRequires: perl(Pithub)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Back up all of your Github repositories and/or issues to your local
machine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.json META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/github_backup



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.10.0-5.mga10
+ Revision: 2209875
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.10.0-4.mga9
+ Revision: 1821271
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-3.mga8
+ Revision: 1504581
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.10.0-2.mga7
+ Revision: 1283943
- Mageia 7 Mass Rebuild

* Mon Feb 12 2018 shlomif <shlomif> 1.10.0-1.mga7
+ Revision: 1200638
- imported package perl-Github-Backup


* Mon Feb 12 2018 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
